<?php
include "db.php";

$d=json_decode(file_get_contents("php://input"),true);

$mapa_id=intval($d['mapa_id']);
$nombre=$conn->real_escape_string($d['nombre']);
$tipo=$conn->real_escape_string($d['tipo']);
$video=$conn->real_escape_string($d['video_link']);
$faction=$conn->real_escape_string($d['faction']);

$x=floatval($d['x']);
$y=floatval($d['y']);

$conn->query("INSERT INTO spots(
mapa_id,
nombre,
tipo,
video_link,
faction,
x,
y
) VALUES (
$mapa_id,
'$nombre',
'$tipo',
'$video',
'$faction',
$x,
$y
)");

echo "ok";
?>
